### Method

# Gio NetworkMonitor get_network_available

since: 2.32

#### Declaration [src]

    gboolean
    g_network_monitor_get_network_available (
      GNetworkMonitor* monitor
    )

#### Description [src]

Checks if the network is available. “Available” here means that the system has a default route available for at least one of IPv4 or IPv6. It does not necessarily imply that the public Internet is reachable. See `GNetworkMonitor:network-available` for more details.

Available since: 2.32

Gets property | `Gio.NetworkMonitor:network-available`

#### Return value

Type: `gboolean`

Whether the network is available.